package net.northking.cctp.testbug.dto.cases;

import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * @author: puchao.ma
 * @date: 2021/11/11 17:40
 */
public class BugSysFields {

    @ApiModelProperty("字段名称")
    private String templatePropName;

    @ApiModelProperty("中文名称")
    private String templatePropDisplay;

    public String getTemplatePropName() {
        return templatePropName;
    }

    public void setTemplatePropName(String templatePropName) {
        this.templatePropName = templatePropName;
    }

    public String getTemplatePropDisplay() {
        return templatePropDisplay;
    }

    public void setTemplatePropDisplay(String templatePropDisplay) {
        this.templatePropDisplay = templatePropDisplay;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        BugSysFields that = (BugSysFields) o;
        return Objects.equals(templatePropName, that.templatePropName) &&
                Objects.equals(templatePropDisplay, that.templatePropDisplay) && that.getTemplatePropName() != null;
    }

    @Override
    public int hashCode() {
        return Objects.hash(templatePropName, templatePropDisplay);
    }
}
